UART Generate Read Functions

This set of functions will generate command strings for reading registers on VectorNav sensors. More...

## Functions

VnError | VnUartPacket_genReadBinaryOutput1 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Binary Output 1 register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadBinaryOutput2 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Binary Output 2 register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadBinaryOutput3 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Binary Output 3 register on a VectorNav sensor. More...
VnError | VnUartPacket_genCmdWriteSettings (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to write sensor settings to non-volitile memory. More...
VnError | VnUartPacket_genCmdRestoreFactorySettings (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to restore the sensor to factory settings. More...
VnError | VnUartPacket_genCmdReset (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to reset the sensor. More...
VnError | VnUartPacket_genCmdTare (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to tare the sensor. More...
VnError | VnUartPacket_genCmdSetGyroBias (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to set the gyro bias. More...
VnError | VnUartPacket_genCmdKnownMagneticDisturbance (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, bool disturbancePresent, size_t *cmdSize)
| Generates a command to alert the sensor of a known magnetic disturbance. More...
VnError | VnUartPacket_genCmdKnownAccelerationDisturbance (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, bool disturbancePresent, size_t *cmdSize)
| Generates a command to alert the sensor of a known acceleration disturbance. More...
VnError | VnUartPacket_genReadUserTag (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the User Tag register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadModelNumber (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Model Number register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadHardwareRevision (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Hardware Revision register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadSerialNumber (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Serial Number register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadFirmwareVersion (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Firmware Version register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadSerialBaudRate (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Serial Baud Rate register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAsyncDataOutputType (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Async Data Output Type register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAsyncDataOutputFrequency (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Async Data Output Frequency register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadYawPitchRoll (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAttitudeQuaternion (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Attitude Quaternion register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadQuaternionMagneticAccelerationAndAngularRates (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadMagneticMeasurements (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Magnetic Measurements register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAccelerationMeasurements (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Acceleration Measurements register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAngularRateMeasurements (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Angular Rate Measurements register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadMagneticAccelerationAndAngularRates (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadMagneticAndGravityReferenceVectors (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadMagnetometerCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Magnetometer Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadAccelerationCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Acceleration Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadReferenceFrameRotation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Reference Frame Rotation register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadYawPitchRollMagneticAccelerationAndAngularRates (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadCommunicationProtocolControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Communication Protocol Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadSynchronizationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Synchronization Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadSynchronizationStatus (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Synchronization Status register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadVpeBasicControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the VPE Basic Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadVpeMagnetometerBasicTuning (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadVpeAccelerometerBasicTuning (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadMagnetometerCalibrationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadCalculatedMagnetometerCalibration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadVelocityCompensationMeasurement (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadVelocityCompensationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Velocity Compensation Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadImuMeasurements (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the IMU Measurements register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsAntennaOffset (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Antenna Offset register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsSolutionLla (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Solution - LLA register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsSolutionEcef (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadInsSolutionLla (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the INS Solution - LLA register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadInsSolutionEcef (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the INS Solution - ECEF register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadInsBasicConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the INS Basic Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadInsStateLla (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the INS State - LLA register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadInsStateEcef (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the INS State - ECEF register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadStartupFilterBiasEstimate (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadDeltaThetaAndDeltaVelocity (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadDeltaThetaAndDeltaVelocityConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadReferenceVectorConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Reference Vector Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGyroCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Gyro Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadImuFilteringConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsCompassBaseline (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Compass Baseline register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadGpsCompassEstimatedBaseline (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadYawPitchRollTrueBodyAccelerationAndAngularRates (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnUartPacket_genReadYawPitchRollTrueInertialAccelerationAndAngularRates (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize)
| Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor. More...

## Detailed Description

This set of functions will generate command strings for reading registers on VectorNav sensors.

These functions take the form of `VnError VnUartPacket_genReadXXX(char *buffer, size_t bufferSize, VnErrorDetection errorDetection, size_t *cmdSize)` where XXX is replaced with the name of the register, `buffer` is provided by the user to fill with the generated command, `bufferSize` is the number of bytes in the provided buffer, `errorDetection` indicates the type of error-detection to generate the command with, and `cmdSize` is returned back to the caller to indicate the total size of the generated command placed in buffer.

## Function Documentation

VnError VnUartPacket_genCmdKnownAccelerationDisturbance | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | bool | disturbancePresent,
|  | size_t * | cmdSize
| ) |  |

Generates a command to alert the sensor of a known acceleration disturbance.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [in] | disturbancePresent | Indicate the presence of an acceleration disturbance.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdKnownMagneticDisturbance | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | bool | disturbancePresent,
|  | size_t * | cmdSize
| ) |  |

Generates a command to alert the sensor of a known magnetic disturbance.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [in] | disturbancePresent | Indicate the presence of a magnetic disturbance.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdReset | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to reset the sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdRestoreFactorySettings | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to restore the sensor to factory settings.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdSetGyroBias | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to set the gyro bias.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdTare | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to tare the sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genCmdWriteSettings | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to write sensor settings to non-volitile memory.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAccelerationCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Acceleration Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAccelerationMeasurements | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Acceleration Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAngularRateMeasurements | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Angular Rate Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAsyncDataOutputFrequency | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAsyncDataOutputType | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadAttitudeQuaternion | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Attitude Quaternion register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadBinaryOutput1 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Binary Output 1 register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadBinaryOutput2 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Binary Output 2 register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadBinaryOutput3 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Binary Output 3 register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadCalculatedMagnetometerCalibration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadCommunicationProtocolControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Communication Protocol Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadDeltaThetaAndDeltaVelocity | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadDeltaThetaAndDeltaVelocityConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadFirmwareVersion | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Firmware Version register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsAntennaOffset | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Antenna Offset register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsCompassBaseline | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Compass Baseline register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsCompassEstimatedBaseline | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsSolutionEcef | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGpsSolutionLla | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the GPS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadGyroCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Gyro Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadHardwareRevision | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Hardware Revision register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadImuFilteringConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadImuMeasurements | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the IMU Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadInsBasicConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the INS Basic Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadInsSolutionEcef | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the INS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadInsSolutionLla | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the INS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadInsStateEcef | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the INS State - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadInsStateLla | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the INS State - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadMagneticAndGravityReferenceVectors | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadMagneticMeasurements | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Magnetic Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadMagnetometerCalibrationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadMagnetometerCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Magnetometer Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadModelNumber | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Model Number register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

Examples:
  getting_started/main.c.

VnError VnUartPacket_genReadQuaternionMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadReferenceFrameRotation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Reference Frame Rotation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadReferenceVectorConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Reference Vector Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadSerialBaudRate | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadSerialNumber | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Serial Number register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadStartupFilterBiasEstimate | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadSynchronizationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Synchronization Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadSynchronizationStatus | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Synchronization Status register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadUserTag | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the User Tag register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadVelocityCompensationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Velocity Compensation Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadVelocityCompensationMeasurement | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadVpeAccelerometerBasicTuning | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadVpeBasicControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the VPE Basic Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

Examples:
  getting_started/main.c.

VnError VnUartPacket_genReadVpeMagnetometerBasicTuning | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadYawPitchRoll | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadYawPitchRollMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadYawPitchRollTrueBodyAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genReadYawPitchRollTrueInertialAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetection | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.

Returns
  Indicates any errors encountered.